import request from '@/assets/js/utils/request'
/*
* 招标项目驱动
* */
// 获取该标段的项目驱动步骤信息
export function getProjectDriveTask(packId, tenderType, isOnlyCheck) {
  return request({
    url: '/bidprocurement/bidding-bidDriver/projectDriver/getProjectDriveTask?packId=' + packId + '&tenderType=' + tenderType + '&isOnlyCheck=' + isOnlyCheck,
    method: 'post'
  })
}

/* 投标api*/

//  获取投标供应商投标基本信息列表（开标前开标后）
export function listTenderBidBaseInfo(data) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/tenderBid/listTenderBidBaseInfo',
    method: 'post',
    data
  })
}

//  获取投标供应商投标文件详情
export function tenderBidFileInfo(data) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/tenderBid/tenderBidFileInfo',
    method: 'post',
    data
  })
}

/* ===============================清除redisApi====================*/
// 根据项目id清除redis
export function delRedisByTenderId(tenderId) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/renderRedis/delRedisByTenderId?tenderId=' + tenderId,
    method: 'post'
  })
}

// redis模糊查询
export function likeSelectRedis(key) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/renderRedis/likeSelectRedis?key=' + key,
    method: 'post'
  })
}

// 清空全部redis
export function delAllRedis(key) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/renderRedis/delAllRedis?key=' + key,
    method: 'post'
  })
}
// 根据key删除redis
export function delRedisByKey(key) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/renderRedis/delRedisByKey?key=' + key,
    method: 'post'
  })
}

// 根据阶段id清除redis
export function delRedisByStageId(stageId) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/renderRedis/delRedisByStageId?stageId=' + stageId,
    method: 'post'
  })
}

// 根据投标详情id清除redis
export function delRedisBySupplierId(bidId) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/renderRedis/delRedisBySupplierId?bidId=' + bidId,
    method: 'post'
  })
}

// 清除redis模块-根据阶段id获取供应商信息列表
export function listBidSupplierRedisResetByStageIdPages(data) {
  return request({
    url: '/bidprocurement/bidding-bid/bid/renderRedis/listBidSupplierRedisResetByStageIdPages',
    method: 'post',
    data
  })
}
// 清除redis模块-根据阶段id获取供应商信息列表
export function InterfaceI(data) {
  return request({
    url: 'https://test.cpcn.com.cn/AggrateGateway/InterfaceI',
    method: 'post',
    data
  })
}
